Subject: Re: [PATCH v2 10/16] packfile: refactor `install_packed_git()` to work on packfile store

From: Taylor Blau <[email-masked]>
Date: Mon, 25 Aug 2025 22:11:52 -0400

On Thu, Aug 21, 2025 at 09:39:08AM +0200, Patrick Steinhardt wrote:
> The `install_packed_git()` functions adds a packfile to a specific
> object store. Refactor it to accept a packfile store instead of a
> repository to clarify its scope.

All of the refactoring here looks straightforward and correct to me. I
admit that I have a vague preference towards keeping the word "install"
in the function name here, since it (to me) suggests that the packfile
in question is going to be used for lookups, whereas "add" is a bit
more generic.

I don't feel strongly about it, though, so if you have a preference
towards "add" then I'm fine with that.

Thanks,
Taylor